RWSETUNION(1)

NAME
rwsetunion - Merge the union of multiple IPset files into a single file

SYNOPSIS
  rwsetunion [--compression-method=COMP_METHOD] IPSET_OUT
        IPSET_IN1 [[IPSET_IN2] ...]

  rwsetunion --help

  rwsetunion --version

DESCRIPTION
Note: It is recommended that you use rwsettool in place of rwsetunion.

rwsetunion takes multiple binary IPset files and performs the union operation, writing the union of the contents of these files to the specified output file.

rwsetunion requires at leasts file arguments; it will exit with an error if it does not receive at least two arguments. Note the name of the output file precedes the name of the input file(s).

For the output, rwsetunion accepts "stdout" to write the binary IPset to the standard output; likewise, "stdin" used as an input name cause rwsetunion to read the binary IPset from the standard input. rwsetunion will write an error message and fail when reading or writing a binary IPset on a terminal.

OPTIONS
Option names may be abbreviated if the abbreviation is unique or is an exact match for an option. A parameter to an option may be specified as --arg=param or --arg param, though the first form is required for options that take optional parameters.

--compression-method=COMP_METHOD
    Set the compression method of the output to COMP_METHOD. Some SiLK tools can use an external library to compress their binary output. The list of available compression methods and the default method are set when SiLK is compiled (the --help and --version switches print the available and default compression methods) and depend on which supported libraries are found. SiLK can support:

    none
        Do not compress the output using an external library

    zlib
        Use the zlib(3) library for compressing the output

    lzo1x
        Use the lzo1x algorithm from the LZO real time compression library for compression

    best
        Use whichever available method gives the "best" compression in general, though not necessarily the "best" for this particular output.

--help
    Print the available options and exit.

--version
    Print the version number and information about how SiLK was configured, then exit the application.

SEE ALSO
rwsettool(1), rwset(1), rwsetbuild(1), rwsetcat(1)

NOTES
rwsettool supersedes rwsetunion. Modify your use of rwsetunion as follows:

  Change:
    rwsetunion DEST_SET SET1 SET2 ...
  To:
    rwsettool --union --output=DEST_SET SET1 SET2 ...